Index: /extensions/Autosize/js/Affiche_script.js
===================================================================
--- /extensions/Autosize/js/Affiche_script.js	(revision 7866)
+++ /extensions/Autosize/js/Affiche_script.js	(revision 7867)
@@ -4,5 +4,4 @@
     // jQuery est chargé
 }
- 
 function Toggle_bp() {
     cl_visible = !cl_visible;
@@ -23,32 +22,43 @@
    
 }
- 
-//==========================================================================
-function Wait_Affichage() {
-   if (jQuery("#pamoorama").length) {
-               jQuery().newResize() ;
-               mypanorama = window.myPamoorama;
-               if (!mypanorama){ 
-                    setTimeout("Wait_Affichage()", 500);
+                   
+function Wait_pamoorama() {
+     if (jQuery("#pamoorama").length) {
+                         mypanorama = window.myPamoorama;
+                        if (!mypanorama){ 
+                                setTimeout("Wait_pamoorama()", 500);
+                                return false ;
+                        }
+                 if ( mypanorama.skipInit==false) { 
+                    setTimeout("Wait_pamoorama()", 500);
                     return false ;
                }
-                 if ( mypanorama.skipInit==false) { 
-                    setTimeout("Wait_Affichage()", 500);
-                    return false ;
-               }
+
                      info_pamoorama = jQuery("#pamoorama").infos();
                     new_width= info_pamoorama.width ;
                
                  if (  Math.abs(new_width - myPamoorama.options.width)>10  ) {
-                 setTimeout("Wait_Affichage()", 500);
+                 setTimeout("Wait_pamoorama()", 500);
                  return false ;
                  }
-         
-
-     }else  if(!jQuery().newResize()) {
+
+             nopano = true;
+             jQuery('#pamoorama').trigger('ON');
+            
+                }
+            }
+            nu_img = 0;
+
+//==========================================================================
+            function Wait_Affichage() {
+                jQuery("#theImage").css({
+                    opacity: 0
+
+                }
+                 )
+       if(!jQuery().newResize()) {
                  setTimeout("Wait_Affichage()", 500);
                  return 
     }
-
 
       fade_in = parseInt(fade_in);
@@ -65,7 +75,11 @@
                         );
              }
-
-
-                         
+             nu_img += 1;
+
+             bp1 = jQuery('.debug').get(nu_img);
+             if (!bp1) nu_img = 0;
+             bp1 = jQuery('.debug').get(nu_img);
+
+             jQuery(bp1).trigger('ON'); 
 } 
  
@@ -79,24 +93,14 @@
              //======= cl_conflit ======
              if (DEBUG == "false") {
-                 jQuery("#Debug").hide();
-                 jQuery("#Debug1").hide();
-                 jQuery("#Debug2").hide();
+
              }
- 
+
              img_top = "0";
              rapport = -1;
-             llgboframe = jQuery("#gbo div:first");
+
              marges_llgbo = 0;
              pos = 0;
- 
-          //=========================================================
-
-             if (llgboframe.length > 0) {
-                       ll1=jQuery("#llgboframe31").infos();
-          ll2=jQuery("#llgboframe1" ).infos();
-
-                 marges_llgbo = (ll1.width - ll2.width) + ll2.borderwidth.left + ll2.borderwidth.right;
-             }
-                   
+
+
              //=============================================================
              function cl_Timer() {
@@ -114,230 +118,11 @@
              }
 
-            
-             //============================================================
-             /*
-             *
-             */
-             function Info_entete(Parent) {
-
-                 var info_imageToolBar = jQuery("#imageToolBar").infos();
-                 if (info_imageToolBar.position == "absolute") {
-                     jQuery("#imageToolBar").css("position", "relative");
-                     jQuery("#imageToolBar").css("top", 0 + "px");
-                 }
-
-                 var info_theImage = jQuery("#theImage").infos();
-
-                 if (info_theImage.position == "relative") {
-                     //--- passage relative ==> static ===/
-                     jQuery("#theImage").css("position", "static");
-                     info_theImage = jQuery("#theImage").infos();
-
-                 }
-                 if (info_theImage.position == "absolute") {
-                     //--- passage absolute ==> static ===/
-                     jQuery("#theImage").css("position", "static");
-                     info_theImage = jQuery("#theImage").infos();
-
-                 }
-            
-                 marge_top =Math.ceil( Info_the_page.top +
-                                     Info_the_page.borderwidth.top +
-                                     info_theImage.borderwidth.top);
-
-                 img_top = Math.ceil( info_theImage.top + info_theImage.borderwidth.top);
-                 return { marge_top: marge_top, img_top: img_top };
-
-             }
-
-             /* Récupère les informations sur la description.
-             *
-             */
-             function Info_description(Parent) {
-                 //  jQuery("#" + Parent + " p:not(:contains(' ')) ").remove();
-                 //=============================================================================
-                 var info_description = { top: 0, bottom: 0, height: 0 };
-                 if (theme.match(RegExp("simple", "gi"))) {
-                     jQuery("#" + Parent).css({ padding: "0px",
-                         marginLeft: "0px",
-                         marginRight: "auto",
-                         marginTop: "0px",
-                         marginBottom: "0px", position: "absolute", top: Bandeau + "px"
-                     });
-                 } else {
-               
-                     jQuery("#" + Parent).css({ padding: "0px",
-                         marginLeft: "auto",
-                         marginRight: "auto",
-                         marginTop: "0px",
-                         marginBottom: "0px"
-                     });
-
-
-                 }
-                 //   jQuery("#" + Parent + " p").css({ padding: "0px", margin: "0px "    });
-                 if (theme.match(RegExp("luciano", "g"))) {
-                     info_img = jQuery("#" + Parent + " #theImg img").infos();
-
-                 } else if (jQuery("#charlie").length > 0) {
-                      
-                      jQuery("#charlie").css({ padding: "0px",
-                         marginLeft: "auto",
-                         marginRight: "auto",
-                         marginTop: "auto",
-                         marginBottom:"auto", position: "relative", top: 0+ "px"
-                     });
-
-                       //    info_img = jQuery("#charlie").infos(); //charlie
-                  info_img = jQuery('#charlie object').infos(); //player
-                     
-
-                   } else {
-
-                     info_img = jQuery("#" + Parent + " img").infos();
-                 }
-                 info_description.marge = { bottom: info_img.padding.bottom + info_img.margin.bottom + info_img.borderwidth.bottom,
-                     top: info_img.padding.top + info_img.borderwidth.top
-                 }
-                 if (( info_img.bottom-info_img.top) < 100 ) 
-                 info_img.top =0 ;
-
-                 info_description.top = Bandeau + info_img.top + info_img.bottom + info_img.margin.bottom + info_img.borderwidth.bottom;
-                 //=============================================================================
-                 info_gbo = jQuery("#gbo").infos();
-                 if (info_description.top < info_gbo.bottom)
-                     info_description.top = info_gbo.bottom;
-                 //=============================================================================
-                  info_desc = jQuery("#" + Parent + " p:first").infos();
-                 //----> difference IE8/FF ====
-                 /* borderwidth           2 | 0
-                 margin top/booom       13  | 12
-                 margin                  1  | 0
-                 top                    101 | 104
-                 */
-                 if (info_desc.bottom < info_img.bottom)
-                     info_desc.bottom = info_img.bottom;
-
-                 //  if (info_desc.top > info_img.bottom)
-                 //     info_description.top = info_desc.top;
-                 info_table = jQuery(".infoTable").infos();
-                   
-                 if (info_table.top > info_description.bottom)
-                     info_description.bottom = info_table.top;
-                 //===========================================================================
-
-                 info_licencetag = jQuery(".licencetag").infos();
-
-
-                 if (info_licencetag.bottom > 0) {
-                 if(jQuery.browser.msie == true)
-                 jQuery(".licencetag").css("padding", "0px");
-
-                     jQuery(".licencetag").css("border", "solid 5px transparent");
-                     if (info_licencetag.bottom > info_description.bottom) {
-                         info_description.bottom = info_licencetag.bottom;
-                     }
-                     else
-                         info_description.bottom += info_table.margin.top + info_table.padding.top;
-
-                 }
-                 //=============================================================================
-                 if (theme.match(RegExp("gally", "gi"))) {
-                     if (!theme.match(RegExp("lapis", "gi"))) {
-                         info_description.bottom = info_description.bottom
-                     }
-                 }
-
-
-
-
-
-                 if (info_description.top < 1)
-                     info_description.top = info_description.bottom;
-
-
-                 if (info_description.bottom < info_description.top) {
-                        top_tmp=  info_description.top;
-                        info_description.top=info_description.bottom;
-                        info_description.bottom =top_tmp;
-
-                     info_desc = jQuery("#" + Parent + " p:last").infos();
-
-                     if (info_desc.bottom > info_img.bottom)
-                         info_description.bottom = info_desc.bottom;
-                           if (info_description.bottom < info_description.top) {
-                                top_tmp=  info_description.top;
-                                info_description.top=info_description.bottom;
-                                info_description.bottom =top_tmp;
-                     }
-                       info_description.height =info_description.bottom-info_description.top;
-
-                 }
-
-
-                 if (theme.match(RegExp("gally", "g"))) {
-                     if (!theme.match(RegExp("lapis", "gi"))) {
-                         info_copyright = jQuery("#copyright").infos();
-                         info_description.bottom += info_copyright.height;
-                     }
-                 }
-
-                 if (theme.match(RegExp("luciano", "g"))) { 
-                 //info_description.bottom -= 30 
-                 }
-                 if(jQuery.browser.msie!= true)
-                info_description.bottom +=4;
-                 
-                  info_description.height = info_description.bottom - info_description.top;
-
-                 if (DEBUG == "true") {
-                        jQuery("#Debug").css('display', 'block');
-                         jQuery("#Dragg").css('display', 'block');
-                     jQuery("#Debug1").show();
-                     jQuery("#Debug2").show();              
-                 Bandeau_bas = info_description;
-                     jQuery().affiche_debug({ debug: {texte:"Debug:Bandeau : " + Bandeau,
-                     css:{
-                         opacity: 0.5,
-                         filter: 'alpha(opacity:50)',
-                         position: "absolute",
-                         width: "800px",
-                         border: "solid 1px green",
-                         top: Bandeau + "px"}
-                     },
-                         debug1:{ texte:"Debug1:Bandeau_bas top : " + Bandeau_bas.top + " height:" + Bandeau_bas.height,
-                         css:{ 
-                         opacity: 0.5,
-                         filter: 'alpha(opacity:50)',
-                         position: "absolute",
-                         border: "solid 1px green",
-                         top: Bandeau_bas.top + "px",
-                         width: (800) + "px",
-                         height: Bandeau_bas.height + "px"
-                     }
-                     },
-                         debug2: { texte: "Debug2:Bandeau_bas bottom :" + Bandeau_bas.bottom ,
-                         css:{
-                         opacity: 0.5,
-                         filter: 'alpha(opacity:50)',
-                         position: "absolute",
-                         left: '50px',
-                         width: (800) + "px",
-                         border: "solid 1px green", top: Bandeau_bas.bottom + "px"
-                         }
-                         }
-                     });
-
-
-                 }
-
-                 if (check_desc_v != 'checked="checked"') {
-                     info_description.height = 0;
-                 }
-             
-
-                 return info_description;
-
-             }
+
+
+             Type_Img = "";
+             TheImg = null;
+             nopano = false;
+
+
 
              /*
@@ -359,10 +144,12 @@
              Zone_Affichage = jQuery("#theImage").infos();
 
-             Bandeau = 0;
-             Bandeau_t = Info_entete("theImage")
-             Bandeau = Bandeau_t.img_top;
-             Bandeau_bas = 0;
-             Bandeau_bas = Info_description("theImage");
+
+             //   
              var old_window = { width: 0, height: 0 };
+             if (Info_description("theImage")) {
+                 Bandeau_bas = Info_description("theImage");
+                 Bandeau = Bandeau_bas.top;
+             }
+             Wait_Affichage();
 
 
@@ -374,16 +161,15 @@
 
              jQuery(window).resize(
-               function (event, ui) {    
-               
-                   
-               event = event || window.event;
-
-                   if (event.type == "resize")                      
-                  {  
-                    myevent = arguments[0] = jQuery.event.fix(event || window.event);
-                    myevent.currentTarget = this;
-                     // Namespaced event handlers
-                   var namespaces = myevent.type.split(".");
-                     myevent.type = namespaces.shift();
+               function (event, ui) {
+
+
+                   event = event || window.event;
+
+                   if (event.type == "resize") {
+                       myevent = arguments[0] = jQuery.event.fix(event || window.event);
+                       myevent.currentTarget = this;
+                       // Namespaced event handlers
+                       var namespaces = myevent.type.split(".");
+                       myevent.type = namespaces.shift();
                    }
                    if (typeof (init_resize) == "undefined") init_resize = false;
@@ -398,5 +184,5 @@
                        init_resize = Resize(); ;
 
-                  
+
 
                });
@@ -408,23 +194,10 @@
              function Resize() {
 
-                  jQuery().newResize();
-                     
-                
+                 jQuery().newResize();
+
+
              }
 
-             //===================================================
-             elem=jQuery("#pamoorama").get(0) ;
-if(elem)
-{           type="propertychange";
-            handle=jQuery().onPropertyChange;
-
-                        if (elem.addEventListener) {// Firefox, Opera, Google Chrome and Safari
-                            elem.addEventListener('DOMAttrModified', handle, false);
-                        } else if (elem.attachEvent) {
-                            elem.attachEvent("on" + type, handle);
-                        }
-    }
-    //======== Doubler  resize ! pour Chrome, safari ==================
-        Wait_Affichage() ;
+
 
          }); // window.onload
@@ -436,10 +209,15 @@
          */
          //=========================================================
- 
+
 
          jQuery.fn.extend({
-                      //=============================================================
-           onPropertyChange:  function (e) {
-           return ;
+             //==========================================================
+             Info_description: function (e) {
+                 return Info_description(e);
+
+             },
+             //=============================================================
+             onPropertyChange: function (e) {
+                 return;
 
 
@@ -448,50 +226,23 @@
              * recherche la plus grande image (hauteur ou largeur)
              */
-          Get_Img_Maxi:   function (myobj) {
-                 var w00 = 0;
-                 var TheImg = null;
-                 jQuery(myobj).each(function (i) {
-                     w0 = img_reelle.width;
-                     h0 = img_reelle.height;
-                     if (h0 > w0) w0 = h0;
-                     if (w0 > w00) {
-                         if (!this.src.match(RegExp(".png", "g")))
-                             if (!this.src.match(RegExp(thumbnail, "g"))) {
-                                 TheImg = this;
-                                 w00 = w0;
-                             }
-
-                     }
-                 });
-                 return TheImg;
+             Get_Img_Maxi: function (myobj) {
+
+                 return Get_Img_Maxi(myobj);
              },
-          //============================================================
-           affiche_debug:  function (aff_infos) {
-                 if (aff_infos.Dragg) {
-                    jQuery("#Dragg").css( aff_infos.Dragg.css );
-                     jQuery("#Dragg").text(aff_infos.Dragg.texte);
-                 }
-                 if (aff_infos.debug) {
-                    jQuery("#Debug").css( aff_infos.debug.css );
-                     jQuery("#Debug").text(aff_infos.debug.texte);
-                 }
-                 if (aff_infos.debug1) {
-                     jQuery("#Debug1").css( aff_infos.debug1.css );
-                     jQuery("#Debug1").text(aff_infos.debug1.texte);
-                 }
-                 //===================================================
-                 if (aff_infos.debug2) {
-                    jQuery("#Debug2").css( aff_infos.debug2.css );
-                     jQuery("#Debug2").text(aff_infos.debug2.texte);
-                 }
+             //============================================================
+             affiche_debug: function (aff_infos) {
+                 affiche_debug(aff_infos);
+
+
              },
-//====================================================
+             //====================================================
              newResize: function () {
+                 //  
                  var chk = eval(user_status + "_enabled");
-                 if (!cl_visible == true)  { return true; }
-                 if (chk == "") { return true;  }
-                
+                 if (!cl_visible == true) { return true; }
+                 if (chk == "") { return true; }
+
                  //=================================================================
-                 
+
                  var winwidth = jQuery(window).width();
                  var winheight = jQuery(window).height();
@@ -499,26 +250,4 @@
                  old_window = jQuery(window).infos();
                  //===========================================================================
-
-                 
-                 var Type_Img = "";
-                 //====== détection du type d'images ======
-                 if (jQuery("#charlie").length > 0) {
-                     Type_Img = "charlie";
-                 } else if (jQuery("#pamoorama").length) {
-                     Type_Img = "pamoorama";
-                 } else if (jQuery("#theImage embed").length > 0) {
-                     Type_Img = "embed";
-                 } else if (jQuery("#map").length) {
-                     Type_Img = "map";
-                 } else if (jQuery("#Panorama").length) {
-                     Type_Img = "panorama";
-                 } else if (jQuery("#theImage").find("img").length > 0) {
-                     Type_Img = "img";
-                 } else if (jQuery("img").length > 0) {
-                     Type_Img = "img_autre";
-                     return;
-                 } else {
-                     return;
-                 }
 
 
@@ -561,25 +290,20 @@
                  else
                      winwidth = Zone_Affichage.width;
-
                  winwidth -= (marge_right + marge_left);
-
-
-
-
                  if (Type_Img == "pamoorama") {
 
-                     mypanorama = window.myPamoorama;                    
+                     mypanorama = window.myPamoorama;
                      //============================================================
                      if (typeof (mypanorama) == "undefined") return false;
                      var myPamoorama = mypanorama;
                      if (typeof (myPamoorama.skipInit) == "undefined") return false;
-//
+                     //
 
                      if (myPamoorama.skipInit == false) {
-                            
-                            return false;
-                     }
-
-                        var info_pamoorama = jQuery("#pamoorama").infos();
+
+                         return false;
+                     }
+
+                     var info_pamoorama = jQuery("#pamoorama").infos();
                      var info_pamoorama_outter = jQuery("#pamoorama_outter").infos();
                      var info_pamoorama_inner = jQuery("#pamoorama_inner").infos();
@@ -587,49 +311,11 @@
                      var info_pamoorama_frame = jQuery("#pamoorama_frame").infos();
                      TheImg = jQuery("#pamoorama");
-                     obj = TheImg.get(0);             
-                     //  myPamoorama = pamoorama;
-
-                     /*
-                     myPamoorama = new pamoorama('pamoorama',{ activateSlider: 	{$PANO_ACTIVATESLIDER},
-                     width: 		{$PANO_WIDTH},
-                     footercolor: 		'{$PANO_FOOTERCOLOR}',
-                     captioncolor: 	'{$PANO_CAPTIONCOLOR}',
-                     caption: 		'{$ALT_IMG}',
-                     enableAutoscroll: 	{$PANO_ENABLEAUTOSCROLL},
-                     autoscrollSpeed:	{$PANO_AUTOSCROLLSPEED},
-                     autoscrollOnLoad:	{$PANO_AUTOSCROLLONLOAD},
-                     startAutoscroll:	'{'pamooramics_startAutoscroll'|@translate}',
-                     stopAutoscroll:		'{'pamooramics_stopAutoscroll'|@translate}',
-                     loadingMessage: '{'pamooramics_loading'|@translate}',
-                     clickMessage:		'{'pamooramics_clickMessage'|@translate}',
-                     dragMessage:		'{'pamooramics_dragMessage'|@translate}'
-                     });
-                     */
-                     /*
-                     pamoorama_outter
-                     pamoorama_inner
-                     pamoorama_footer
-                     pamoorama_caption
-                     pamoorama_thumb
-                     pamoorama_frame
-                     */
+                     obj = TheImg.get(0);
+
                  } else {
-                     //==== récupère Img la plus grande  =====
-                     if (jQuery("#theImg")) IMG = "#theImg";
-                     else IMG = Cadre;
-
-                     TheImg2 = jQuery().Get_Img_Maxi(IMG + " img");
-                     //=================================================================
-                     if (TheImg2 == null) {
-                         if (jQuery(Cadre).find("img").length > 0) {
-                             IMG = Cadre;
-
-
-                             TheImg = jQuery().Get_Img_Maxi("#theImage img");
-                         }
-                     } else {
-                         TheImg = TheImg2  //luciano ?
-
-                     }
+
+
+
+
                  }
                  //=================================================================
@@ -638,17 +324,12 @@
                  switch (Type_Img) {
                      case "map":
-                         var info_image = jQuery("#map").infos();
-
-                         var info_map = jQuery("#mapPicture").infos();
-
+                         img_reelle.height = info_img.height;
+                         info_map = jQuery("#mapPicture").infos();
                          marge_left = info_map.width;
-                         jQuery("#map").css("left", marge_left);
-
-                         var TheImg = jQuery("#map").get(0);
-                         img_reelle.height = info_image.height;
-                         img_reelle.width = winwidth - marge_right - marge_right;
+                         jQuery("#map").css("left", marge_left + "px");
+
                          Bandeau_bas.height = 10;
                          marge_right = 10;
-
+                         img_reelle.width = winwidth - marge_left - marge_right;
                          info_the_page = jQuery("#the_page").infos();
                          ;
@@ -660,5 +341,5 @@
                          // return;
 
-                       
+
                          TheImg = jQuery().Get_Img_Maxi("#Panorama img");
                          info_theImage = jQuery(TheImg).infos();
@@ -687,29 +368,28 @@
                          //
 
-                         TheImg = jQuery(Cadre).find("embed");
-
-                         info_theImage = jQuery(Cadre).infos();
+                         info_theImage = info_img;
+                         info_the_page = jQuery("#the_page").infos();
+
+                         if (rapport < 0) {
+                             img_height = info_img.height;
+                             img_width = info_img.width;
+
+                             img_reelle.height = img_height;
+                             img_reelle.width = img_width;
+
+                         }
+
+                         break
+                     case "charlie":
+
+
+                         info_theImage = info_img;
                          info_the_page = jQuery("#the_page").infos();
                          if (rapport < 0) {
-                             img_height = parseInt(jQuery(TheImg).outerHeight());
-                             img_width = parseInt(jQuery(TheImg).outerWidth());
-
-                             img_reelle.height = img_height;
-                             img_reelle.width = img_width;
-
-                         }
-
-                         break
-                     case "charlie":
-
-                         TheImg = jQuery('#charlie object').get(0);
-                         info_theImage = jQuery(Cadre).infos();
-                         info_the_page = jQuery("#the_page").infos();
-                         if (rapport < 0) {
-                             img_height = parseInt(TheImg.height);
-                             img_width = parseInt(TheImg.width);
-
-                             img_reelle.height = parseInt(TheImg.height);
-                             img_reelle.width = parseInt(TheImg.width);
+                             img_height = parseInt(info_img.height);
+                             img_width = parseInt(info_img.width);
+
+                             img_reelle.height = parseInt(info_img.height);
+                             img_reelle.width = parseInt(info_img.width);
                          }
 
@@ -717,5 +397,5 @@
                      case "pamoorama":
 
-                        img_reelle = { height: img_height, width: img_width };
+                         img_reelle = { height: img_height, width: img_width };
 
                          //=========================================================
@@ -783,5 +463,10 @@
                  if (theme.match(RegExp("sobre", "g"))) {
 
-                     correction = -info_Licence.padding.top;
+                     //   correction = -info_Licence.padding.top;
+                     if (Type_Img == 'img')
+                  {
+                     if (msie == true) correction = 20;
+                     else correction = 30;
+                     } 
 
                  } else if (theme.match(RegExp("Pure", "g"))) {
@@ -796,18 +481,12 @@
 
                  }
-                 //================ Licence  ========================
-
-                 if (Licence.length > 0) {
-                     jQuery(".licencetag").css("padding", "0px");
-
-                 }
+
                  //====================================================
-                 info_img = jQuery(TheImg).infos();
-                 img_top = Bandeau;
 
                  Marge_Basse = parseInt(marge_basse || 0); // hors bandeau
                  //==========================================================================
                  h = 0;
-                 if(Bandeau_bas.height <0) Bandeau_bas.height =0 ;
+
+                 Bandeau = Bandeau_t.bottom;
 
                  Zone_Affichage.height = winheight - Bandeau - Marge_Basse - correction;
@@ -890,5 +569,5 @@
                      }
                      if (TheImg.src) {
-                   
+
                          Image_width -= marges_llgbo; // réduction frame
                          Image_height -= marges_llgbo; // réduction frame
@@ -917,6 +596,6 @@
 
                          } else {
-                         Image_width -= (marges_llgbo/2); // réduction frame
-                         Image_height -= (marges_llgbo/2); // réduction frame
+                             Image_width -= (marges_llgbo / 2); // réduction frame
+                             Image_height -= (marges_llgbo / 2); // réduction frame
                              if (Image_width > winwidth) {
                                  jQuery("#gbo").width(winwidth);
@@ -938,5 +617,5 @@
                              jQuery("#gbo").css("width", Image_width + marges_llgbo + "px");
                              jQuery("#gbo").width(Image_width + marges_llgbo);
- 
+
 
                          }
@@ -987,7 +666,7 @@
                  if (theme.match(RegExp("luciano", "g"))) {
                      //---- information en dehors du cadre 
-                  //   Zone_Affichage.height -= Bandeau_bas.height - 20;
+                     //   Zone_Affichage.height -= Bandeau_bas.height - 20;
                      jQuery(Cadre).height(Zone_Affichage.height -= Bandeau_bas.height);
-                    
+
                  }
 
@@ -1025,13 +704,20 @@
 
                      /**/
-                     pdf = 2 * parseInt(jQuery(".none_2").css("paddingRight"));
+
+                     pdf = 0;
+                     jQuery("#charlie div").each(function (i) {
+
+
+                         p1 = jQuery(this).infos();
+                         pdf += p1.padding.right + p1.padding.left;
+                     });
+
+
                      jQuery("#charlie").css({
-                         width: Image_width + pdf ,
+                         width: Image_width + pdf,
                          height: Image_height,
                          margin: "auto"
                      });
 
-                     jQuery(".none_2").width(Image_width) ;
-                     jQuery(".none_2").height( Image_height) ;
 
 
@@ -1069,5 +755,5 @@
                      }
                      new_width = Zone_Affichage.width - marge_right - marge_left;
-                     
+
                      myPamoorama.options.width = new_width;
                      info_theImage.height = img_reelle.height + info_pamoorama_footer.height
@@ -1082,32 +768,32 @@
 
                      //====================================================
-                 info_pamoorama = jQuery("#pamoorama").infos();
-                  img_finale.height=info_pamoorama.height-info_pamoorama_footer.height;
-                  img_finale.width=new_width;
-
-                 jQuery("#pamoorama_outter").width(new_width) ;
-                 jQuery("#pamoorama_outter").height(info_pamoorama.height-info_pamoorama_footer.height);
-                 
-
-
-                 jQuery("#pamoorama_outter").css({width:new_width+"px",
-                 height:info_pamoorama.height-info_pamoorama_footer.height+"px"
-                 } );
-          //     
+                     info_pamoorama = jQuery("#pamoorama").infos();
+                     img_finale.height = info_pamoorama.height - info_pamoorama_footer.height;
+                     img_finale.width = new_width;
+
+                     jQuery("#pamoorama_outter").width(new_width);
+                     jQuery("#pamoorama_outter").height(info_pamoorama.height - info_pamoorama_footer.height);
+
+
+
+                     jQuery("#pamoorama_outter").css({ width: new_width + "px",
+                         height: info_pamoorama.height - info_pamoorama_footer.height + "px"
+                     });
+                     //     
                      //====================================================
-                     var info_pamoorama = jQuery("#pamoorama").infos();
-                     var info_pamoorama_outter = jQuery("#pamoorama_outter").infos();
-                     var info_pamoorama_inner = jQuery("#pamoorama_inner").infos();
-                     var info_pamoorama_footer = jQuery("#pamoorama_footer").infos();
-                     var info_pamoorama_frame = jQuery("#pamoorama_frame").infos();
+                     info_pamoorama = jQuery("#pamoorama").infos();
+                     info_pamoorama_outter = jQuery("#pamoorama_outter").infos();
+                     info_pamoorama_inner = jQuery("#pamoorama_inner").infos();
+                     info_pamoorama_footer = jQuery("#pamoorama_footer").infos();
+                     info_pamoorama_frame = jQuery("#pamoorama_frame").infos();
 
                      info_frame = jQuery(myPamoorama.frame).infos();
-               /*   myPamoorama.ratio = new_width / 200;
-                  jQuery("#pamoorama_frame").width(myPamoorama.ratio);
-                  jQuery("#pamoorama_frame").css("width", myPamoorama.ratio + "px");
-                 jQuery("#pamoorama_footer img").width(200)
-                 jQuery("#pamoorama_footer img").css({ width: "200px", height: info_pamoorama_footer.height+"px" });
-                 jQuery("#pamoorama_footer").width(new_width) ;
-                 jQuery("#pamoorama_footer").css({width:new_width+"px"})
+                     /*   myPamoorama.ratio = new_width / 200;
+                     jQuery("#pamoorama_frame").width(myPamoorama.ratio);
+                     jQuery("#pamoorama_frame").css("width", myPamoorama.ratio + "px");
+                     jQuery("#pamoorama_footer img").width(200)
+                     jQuery("#pamoorama_footer img").css({ width: "200px", height: info_pamoorama_footer.height+"px" });
+                     jQuery("#pamoorama_footer").width(new_width) ;
+                     jQuery("#pamoorama_footer").css({width:new_width+"px"})
 
                      jQuery(TheImg).height(img_finale.height);
@@ -1115,5 +801,5 @@
                      jQuery(TheImg).css("height", img_finale.height + "px ");
                      jQuery(TheImg).css("width", img_finale.width + "px ");
-*/
+                     */
                      zoom = Image_height / img_height;
 
@@ -1137,33 +823,5 @@
                  }
 
-                 if (DEBUG == "true") {
-
-                     jQuery().affiche_debug({ debug3: { texte: "Debug:Bandeau : " + Bandeau,
-                         css: {
-                             opacity: 0.5,
-                             filter: 'alpha(opacity:50)',
-                             position: "absolute",
- 
-                         }
-                     },
-                     debug1: { texte: "Debug1:img_finale.height : " + img_finale.width + " height:" + img_finale.height,
-                             css: {
-                                 opacity: 0.5,
-                                 filter: 'alpha(opacity:50)',
-                                 position: "absolute",
-                    
-                             }
-                         },
-                         debug2: { texte: "Debug2:Bandeau_bas bottom :" + Bandeau_bas.bottom,
-                             css: {
-                                 opacity: 0.5,
-                                 filter: 'alpha(opacity:50)',
-                                 position: "absolute",
-                              
-                             }
-                         }
-                     });
-
-                 }
+
                  jQuery("#navThumbPrev").css({ overflow: "hidden"
                  });
@@ -1215,10 +873,12 @@
                      pos = jQuery("#copyright").infos();
                  if (pos.top > 100) jQuery("#the_page").height(pos.top);
-                  if (!theme.match(RegExp("luciano", "gi"))) {
-                 jQuery("#linkNext").css({ height:"80px",width: "200px", overflow: "hidden" });
-                 jQuery("#linkPrev").css({  height:"80px",width: "200px", overflow: "hidden" });
-                 jQuery(".navThumb img").css({ height:"80px",width:"", overflow: "hidden" });
-                 }
-                                 return true;
+                 if (!theme.match(RegExp("luciano", "gi"))) {
+                     jQuery("#linkNext").css({ height: "80px", width: "200px", overflow: "hidden" });
+                     jQuery("#linkPrev").css({ height: "80px", width: "200px", overflow: "hidden" });
+                     jQuery(".navThumb img").css({ height: "80px", width: "", overflow: "hidden" });
+                 }
+
+
+                 return true;
 
 
@@ -1235,5 +895,443 @@
          });            // fin extend
 
+
+
      } // function
 );    
 
+
+/*
+* recherche la plus grande image (hauteur ou largeur)
+*/
+function     Get_Img_Maxi(myobj) {
+                     var w00 = 0;
+                     var myImg = null;
+                     jQuery(myobj).each(function (i) {
+                         w0 = img_reelle.width;
+                         h0 = img_reelle.height;
+                         if (h0 > w0) w0 = h0;
+                         if (w0 > w00) {
+                             if (!this.src.match(RegExp(".png", "g")))
+                                 if (!this.src.match(RegExp(thumbnail, "g"))) {
+                                     myImg = this;
+                                     w00 = w0;
+                                 }
+
+                         }
+                     });
+                     return myImg;
+                 }
+//====================================================
+
+                 //============================================================
+                 /*
+                 *
+                 */
+                 function Info_entete(Parent) {
+
+                     info_imageToolBar = jQuery("#imageToolBar").infos();
+                     if (info_imageToolBar.position == "absolute") {
+                         jQuery("#imageToolBar").css("position", "relative");
+                         jQuery("#imageToolBar").css("top", 0 + "px");
+                     }
+
+                     info_theImage = jQuery("#theImage").infos();
+
+
+                     if (info_theImage.position == "relative") {
+                         //--- passage relative ==> static ===/
+                         jQuery("#theImage").css("position", "static");
+                         info_theImage = jQuery("#theImage").infos();
+
+                     }
+                     if (info_theImage.position == "absolute") {
+                         //--- passage absolute ==> static ===/
+                         jQuery("#theImage").css("position", "static");
+                         info_theImage = jQuery("#theImage").infos();
+
+                     }
+
+                     marge_top = Math.ceil(Info_the_page.top +
+                                     Info_the_page.borderwidth.top +
+                                     info_theImage.borderwidth.top);
+
+                     img_top = Math.ceil(info_theImage.top + info_theImage.borderwidth.top);
+                     result = info_imageToolBar;
+                     result.width = "20%";
+                     result.left = "40%";
+                     result.marge_top = marge_top;
+                     result.img_top = img_top;
+
+                     return result;
+
+                 }
+
+                 /* Récupère les informations sur la description.
+                 *
+                 */
+
+//====================================================
+function Info_description(Parent) {
+
+                     //  jQuery("#" + Parent + " p:not(:contains(' ')) ").remove();
+                     //=============================================================================
+                     info_description = { top: 0, bottom: 0, height: 0 };
+            
+
+                     //====== détection du type d'images ======
+                     if (jQuery("#charlie").length > 0) {
+                         Type_Img = "charlie";
+                     } else if (jQuery("#pamoorama").length) {
+                         Type_Img = "pamoorama";
+                     } else if (jQuery("#theImage embed").length > 0) {
+                         Type_Img = "embed";
+                     } else if (jQuery("#map").length) {
+                         Type_Img = "map";
+
+                     } else if (jQuery("#Panorama").length) {
+                         Type_Img = "panorama";
+                     } else if (jQuery("#theImage").find("img").length > 0) {
+                         Type_Img = "img";
+                     } else if (jQuery("img").length > 0) {
+                         Type_Img = "img_autre";
+                         return;
+                     } else {
+                         return;
+                     }
+
+
+                     Bandeau_t = Info_entete("theImage")
+                     Bandeau = Bandeau_t.img_top;
+                     llgboframe = jQuery("#gbo div:first");
+                     marges_llgbo = 0;
+                     //=========================================================
+
+                     if (llgboframe.length > 0) {
+                         ll0 = jQuery("#gbo").infos();
+                         ll1 = jQuery("#llgboframe31").infos();
+                         ll2 = jQuery("#llgboframe1").infos();
+                         marges_llgbo = (ll1.width - ll2.width) + ll2.borderwidth.left + ll2.borderwidth.right;
+                     }
+
+
+
+                     if (theme.match(RegExp("simple", "gi"))) {
+                         jQuery("#" + Parent).css({ padding: "0px",
+                             marginLeft: "0px",
+                             marginRight: "auto",
+                             marginTop: "0px",
+                             marginBottom: "0px"
+
+                         });
+                     } else {
+
+
+
+                     }
+
+                     //   jQuery("#" + Parent + " p").css({ padding: "0px", margin: "0px "    });
+                     if (theme.match(RegExp("luciano", "g"))) {
+                         TheImg = jQuery("#" + Parent + " #theImg img");
+                         info_img = jQuery(TheImg).infos();
+
+
+                     } else if (Type_Img == "map") {
+
+                         info_map = jQuery("#mapPicture").infos();
+                         marge_left = info_map.width;
+
+                         jQuery("#map").css({ left: marge_left + "px", padding: "0px",
+                             marginLeft: "0px",
+                             marginRight: "4px",
+                             marginTop: "0px",
+                             marginBottom: "0px", position: "relative"
+                         });
+
+                         TheImg = jQuery("#map");
+                         info_img = jQuery(TheImg).infos();
+
+
+                     } else if (jQuery("#charlie").length > 0) {
+
+                         jQuery("#charlie").css({ padding: "0px"
+
+                         });
+                         TheImg = jQuery("#charlie")
+                         info_img = jQuery(TheImg).infos();
+
+
+
+                     } else if (jQuery("#theImage embed").length > 0) {
+ 
+                         TheImg = jQuery("#theImage embed");
+                         info_img = jQuery(TheImg).infos();
+                      
+
+
+                     } else if (Type_Img == "pamoorama") {
+
+
+
+                         if (!nopano) {
+                             Wait_pamoorama();
+                             return
+                         }
+                         TheImg = jQuery("#pamoorama");
+                         info_img = jQuery(TheImg).infos();
+                         info_footer = jQuery("#pamoorama_footer").infos();
+                         info_img.height = parseInt(img_reelle.height) + parseInt(info_footer.height);
+
+                     } else {
+                         TheImg = jQuery("#" + Parent + " img");
+                         TheImg = Get_Img_Maxi(TheImg);
+                         info_img = jQuery(TheImg).infos();
+                     }
+                     //=====================================================================================
+
+                     switch (info_img.position) {
+                         case "relative":
+                             break;
+                         case "static":
+                             break;
+                         case "absolute":
+                             break;
+                         case "":
+                             break;
+                         default:
+                             break;
+                     }
+                     info_description.marge = { bottom: info_img.padding.bottom + info_img.margin.bottom + info_img.borderwidth.bottom,
+                         top: info_img.padding.top + info_img.borderwidth.top + info_img.margin.top
+                     }
+                     marges_ = info_img.margin.bottom + info_img.borderwidth.bottom;
+                     if (marges_llgbo > 0) {
+                         info_img.top -= marges_llgbo / 2;
+                         info_img.left -= marges_llgbo / 2;
+
+                         info_img.right += marges_llgbo / 2;
+                         info_img.bottom += marges_llgbo / 2;
+                         info_img.width += marges_llgbo;
+                         marges_ += ll0.borderwidth.left + ll0.borderwidth.right;
+                     }
+
+                     info_img.bottom += marges_ * 2;
+                     info_img.right += marges_ * 2;
+                     info_img.width += marges_ * 2;
+                     info_img.height = info_img.bottom - info_img.top;
+                     //======================================================================================
+                     info_description.top = info_img.bottom;
+                     info_description.bottom = info_description.top; //init 
+
+                     //===================== Recherche Description Bas ==================================
+
+                     info_para = info_description;
+
+
+                     jQuery("#" + Parent + " p").each(function (i) {
+                         para = jQuery(this).infos();
+                         if (para.height > 0) {
+                             if (para.top >= info_description.top) {
+                                 para.height = para.bottom - info_description.top;
+                                 info_para = para;
+                                 info_para.top = info_description.top;
+
+                             }
+                         }
+                     });
+                     //===================== Recherche lmt Bas =====(bleu debug3)====================
+                     info_licencetag = jQuery("#" + Parent + ".licencetag").infos();
+                     jQuery(".licencetag").css("position", "static");
+
+                     jQuery(".licencetag table").each(function (i) {
+                         info_licencetag = jQuery(this).infos();
+                         info_licencetag.bottom += info_licencetag.margin.top + info_licencetag.margin.bottom;
+
+                         if (jQuery.browser.msie == true)
+                             jQuery(this).css("padding", "0px");
+                         jQuery(this).css("border", "solid 5px transparent");
+
+                     });
+
+                     if (info_licencetag.top == 0 && info_licencetag.height > 10) {
+                         info_licencetag.top = info_para.bottom;
+                         info_licencetag.bottom = info_para.bottom + info_licencetag.height;
+                         info_licencetag.bottom += info_licencetag.margin.top + info_licencetag.margin.bottom;
+
+                     }
+
+                     //========================================================
+                     info_table = jQuery("#" + Parent + " Table").infos();
+                     if (info_table.height > 0) {
+                         info_table.bottom += info_table.margin.top + info_table.margin.bottom;
+                         info_licencetag.bottom = Math.max(info_table.bottom, info_licencetag.bottom)
+                         info_licencetag.top = info_table.top;
+                         info_licencetag.bottom = info_table.bottom;
+                         info_licencetag.height = info_table.height;
+                     }
+                     info_description.top = info_img.bottom;
+
+                     info_description.height = Math.max(info_para.bottom, info_licencetag.bottom) - info_description.top;
+
+
+                     info_description.bottom = info_description.bottom + info_description.height;
+                     //=============================================================================
+                     if (theme.match(RegExp("gally", "gi"))) {
+                         if (!theme.match(RegExp("lapis", "gi"))) {
+                             info_description.bottom = info_description.bottom
+                         }
+                     }
+
+
+
+                     info_description.height = info_description.bottom - info_description.top;
+
+
+
+                     if (theme.match(RegExp("gally", "g"))) {
+                         if (!theme.match(RegExp("lapis", "gi"))) {
+                             info_copyright = jQuery("#copyright").infos();
+                             info_description.bottom += info_copyright.height;
+                         }
+                     }
+
+                     if (theme.match(RegExp("luciano", "g"))) {
+                         //info_description.bottom -= 30 
+                     }
+
+
+                     if (jQuery.browser.msie != true)
+                         info_description.bottom += 4;
+
+                   
+
+                     info_description.height = info_description.bottom - info_description.top;
+                     if (check_desc_v != 'checked="checked"') {
+                         info_description.height = 0;
+                     }
+                     Debug_pos();
+                     return info_description;
+                 }
+
+                 //====================================================
+     function Debug_info(index,infos,nom) {
+     if (DEBUG != "true") return ;
+     if(infos.height>0){
+
+     message = browser.browser + " -- > Info : "+ nom +" " + infos.id +"\n"+
+                 "Info nodeName: " + infos.nodeName +"\n"+
+                 "Info width: " + infos.width +"\n"+
+                 "Info height: " + infos.height +"\n"+
+                 "Info top: " + infos.top +"\n"+
+                 "Info left: " + infos.left +"\n"+
+                 "Info position: " + infos.position +"\n";
+                
+           myDebug   = { id: "Debug" + index, texte: message,
+                     css: {
+                     color:"black",
+                        opacity: 0.5,
+                        filter: 'alpha(opacity:50)',
+                        position: "absolute",
+                        height: infos.height||100 +"px",
+                        width: infos.width||300 +"px",
+                        left: infos.left||0 +"px",
+                        border: "solid 1px green",
+                        top: infos.top  + "px"
+
+                     }
+                 }
+                 return myDebug;
+                 }else{
+                  return null ;
+                 }
+
+
+     }
+     //====================================================
+     function Debug_pos() {
+         if (DEBUG == "true") {
+         
+             jQuery("[id ^='Debug']").show();          
+                /*
+                 Debug2  background-color:yellow 
+                 Debug3 background-color:blue 
+                 Debug4 background-color:green 
+                 Debug5 background-color:red 
+
+                */
+
+             affiche_debug({                                
+                    Debug1: Debug_info(1, Bandeau_t,"Bandeau_t"),
+                    Debug3: Debug_info(3, info_licencetag, "info_licencetag"),
+                    Debug4: Debug_info(4, info_description, "info_description"),
+                    Debug5: Debug_info(5, info_img, "info_img") 
+             });
+         }
+     }
+
+   function    affiche_debug(aff_infos) {
+         jQuery(jQuery("[id ^='Debug']")).each(function (i) {
+             if (aff_infos[this.id]) {
+                 if (aff_infos[this.id].css) {
+                     jQuery("#" + this.id).css(aff_infos[this.id].css);
+                     jQuery("#" + this.id).text(aff_infos[this.id].texte);
+                 }
+             }
+         });
+         return;
+
+     }
+
+
+
+     $(function () {
+
+         jQuery('#pamoorama').live('ON', function (e) {
+             jQuery(jQuery('.debug').get(1)).trigger('ON');
+             Bandeau_bas = Info_description('theImage');
+             Bandeau = Bandeau_bas.top;
+         });
+
+
+         // Custom Event, ON to turn on a debug. 
+         jQuery('.debug').live('ON', function (e) {
+             n = (e.which !== 1);
+             jQuery('.debug').trigger('OFF');
+             jQuery(this).addClass('debugOn');
+         });
+
+         // On Click = debugs On
+         jQuery('.debug').live('click', function (e) {
+             n = (e.which !== 1)
+             jQuery(this).trigger('ON');
+         });
+
+         // Custom Event, Turn off a debug
+         jQuery('.debug').live('OFF', function (e) {
+             n = (e.which !== 1);
+             jQuery(this).removeClass('debugOn');
+         });
+
+         // on Double Click, remove the debug from the DOM
+         jQuery('.debug').live('dblclick', function () {
+             n = (e.which !== 1);
+             jQuery(this).fadeOut(function () { $(this).remove() });
+         });
+
+         // Add another debug to the DOM 
+         jQuery('#adddebugs').click(function () {
+             jQuery('<div></div>')
+            .addClass('debug')
+            .appendTo('#debugsContainer');
+         });
+
+         // Add 10 testing debugs to start with
+
+         if (DEBUG == "true") {
+             for (var i = 0; i < 10; i++) {
+                 jQuery('#adddebugs').click();
+             }
+             jQuery(jQuery('.light').get(8)).click();
+
+         }
+         //  }); //on load
+     }); 
Index: /extensions/Autosize/js/conflit.js
===================================================================
--- /extensions/Autosize/js/conflit.js	(revision 7866)
+++ /extensions/Autosize/js/conflit.js	(revision 7867)
@@ -17,14 +17,78 @@
 
 //===================================================
-
+var detect = navigator.userAgent.toLowerCase();
+var OS, version;
+
+//============================================================================== 
+
+
+browser = detect_browser();
+
+
+
+
+function detect_browser() {
+    mybrowser = {
+        browser: "",
+        konqueror: false,
+        chrome: false,
+        safari: false,
+        omniWeb: false,
+        opera: false,
+        firefox: false,
+        msie: false,
+        netscape: false
+    }
+    if (checkIt('konqueror')) { mybrowser.Konqueror = true; lbrowser = "konqueror"; OS = "Linux"; }
+    else if (checkIt('chrome')) { mybrowser.chrome = true; lbrowser = "chrome"; }
+    else if (checkIt('safari')) { mybrowser.safari = true; lbrowser = "safari"; }
+    else if (checkIt('omniweb')) { mybrowser.omniweb = true; lbrowser = "omniWeb"; }
+    else if (checkIt('opera')) { mybrowser.opera = true; lbrowser = "opera"; }
+    else if (checkIt('firefox')) { mybrowser.firefox = true; lbrowser = "firefox"; }
+
+    else if (checkIt('msie')) { mybrowser.msie = true; lbrowser = "msie"; }
+    else if (checkIt('compatible')) { mybrowser.NetscapeNavigator = true; lmybrowser.browser = "NetscapeNavigator"; version = detect.charAt(8); }
+    else lbrowser = "An unknown browser";
+    if (!version) version = detect.charAt(place + thestring.length);
+    if (!OS) {
+        if (checkIt('linux')) OS = "Linux";
+        else if (checkIt('x11')) OS = "Unix";
+        else if (checkIt('mac')) OS = "Mac";
+        else if (checkIt('win')) OS = "Windows";
+        else OS = "an unknown operating system";
+    }
+
+    mybrowser.browser = lbrowser;
+    return mybrowser
+
+
+};
+
+
+
+function checkIt(string) {
+    place = detect.indexOf(string) + 1;
+    thestring = string;
+    return place;
+}
 /*
   
 */
-msie = jQuery.browser.msie || false;
-opera= jQuery.browser.opera || false;
+
+
+konqueror = mybrowser.konqueror || false;
+chrome = mybrowser.chrome || false;
+safari = mybrowser.safari || false;
+omniWeb = mybrowser.omniWeb || false;
+opera = mybrowser.opera || false;
+firefox = mybrowser.firefox || false;
+msie = mybrowser.msie || false;
+netscape = mybrowser.netscape || false;
+
+
 //========================================
 /*function $defined(A) {
-    $ = _$2; //   ;
-    return A != undefined;
+$ = _$2; //   ;
+return A != undefined;
 }
 */
@@ -53,5 +117,5 @@
     } else if (retour.match(RegExp("pamooramics", "gi"))) {
 
-    ret_element =   jQuery().$Pamoorama(element);
+        ret_element = jQuery().$Pamoorama(element);
 
         if (retour.match(RegExp("init_", "gi"))) {
@@ -62,6 +126,6 @@
     } else if (retour.match(RegExp("luciano", "gi"))) {
         $1 = $_;
-        
-        ret_element = jQuery().$Luciano(element,nc);
+
+        ret_element = jQuery().$Luciano(element, nc);
 
     } else if (retour.match(RegExp("jQuery", "gi"))) {
@@ -274,5 +338,5 @@
                     }
                     if (Src_Match.match("main")) {
-                      
+
                         callstack.push("main");
                         isCallstackPopulated = true;
@@ -392,96 +456,94 @@
 
 
-(function($) {
-    $(document).ready(function(){
-         jQuery(window).load(function () {
-               a = jQuery(':Description');
+(function ($) {
+    $(document).ready(function () {
+        jQuery(window).load(function () {
+            a = jQuery(':Description');
         });
     });
     //==============================================
     jQuery.extend(jQuery.expr[':'], {
-    // Nom du sélecteur personnalisé
+        // Nom du sélecteur personnalisé
         Description: function (a) {
-        n = jQuery(a).infos();
-        if (n.id != "") {
-            //alert("<" + n.nodeName  +" id= " + n.id    + " >") ;
-        }
-        if (n.nodeName == "SCRIPT")
-            if (a.src == "") {
-                Match = jQuery(a).html();
-                /*
-                if ( Match.match(new RegExp("jQuery", "gi") )) {
-                alert(n.id + n.nodeName + a.outerHTML ) ;
+            n = jQuery(a).infos();
+            if (n.id != "") {
+                //alert("<" + n.nodeName  +" id= " + n.id    + " >") ;
+            }
+            if (n.nodeName == "SCRIPT")
+                if (a.src == "") {
+                    Match = jQuery(a).html();
+                    /*
+                    if ( Match.match(new RegExp("jQuery", "gi") )) {
+                    alert(n.id + n.nodeName + a.outerHTML ) ;
+                    }
+                    if ( Match.match(new RegExp("ajax", "gi") )) {
+                    alert(n.id + n.nodeName + a.outerHTML ) ;
+                    }
+                    */
+                    if (Match.match(new RegExp("\\$", "gi"))) {
+
+                        if (Match.match(new RegExp("ajax", "gi"))) {
+                            //     alert(n.id + n.nodeName + a.outerHTML);
+
+                        }
+                    }
+                    if (Match.match(new RegExp("pamoorama", "ig"))) {
+
+                        //     alert(n.id + n.nodeName + a.innerHTML);
+
+                    }
+                } else {
+
+                    if (a.src.match(RegExp("mootools|pamooramic|luciano", "gi"))) {
+                        jQuery.noop;
+
+                    }
+
                 }
-                if ( Match.match(new RegExp("ajax", "gi") )) {
-                alert(n.id + n.nodeName + a.outerHTML ) ;
-                }
-                */
-                if (Match.match(new RegExp("\\$", "gi"))) {
-
-                    if (Match.match(new RegExp("ajax", "gi"))) {
-                        //     alert(n.id + n.nodeName + a.outerHTML);
-
-                    }
-                }
-                if (Match.match(new RegExp("pamoorama", "ig"))) {
-
-                    //     alert(n.id + n.nodeName + a.innerHTML);
-
-                }
-            }else{ 
-          
-            if (a.src.match(RegExp("mootools|pamooramic|luciano", "gi"))) {   
-              jQuery.noop;            
-
-                     }
- 
-                }
-
-        return a;
-
-    }
-  }); //fin extend
-  /*
-  *
-  */
-
-
-
-
-
-
-})(jQuery); 
-
-
- function $(element, nc0) {
-        a = conflit(element, nc0);
-        return a;
-    }
-if (typeof ($.ajax)!="function") 
-    {    
-    $.ajax=        function  (origSettings) {
-             jQuery.ajax(origSettings) ;
-        } 
-     
-
-     $.parseJSON=  function (msg){
-            return jQuery.parseJSON(msg) ;
-        }
-
-
-    }
-if (typeof ($.get)!="function") 
-    {
-        $.get = function (options) {
-            return jQuery.get(options);
-        }
-
-
-    }
+
+            return a;
+
+        }
+    }); //fin extend
+    /*
+    *
+    */
+
+
+
+
+
+
+})(jQuery);
+
+
+function $(element, nc0) {
+    a = conflit(element, nc0);
+    return a;
+}
+if (typeof ($.ajax) != "function") {
+    $.ajax = function (origSettings) {
+        jQuery.ajax(origSettings);
+    }
+
+
+    $.parseJSON = function (msg) {
+        return jQuery.parseJSON(msg);
+    }
+
+
+}
+if (typeof ($.get) != "function") {
+    $.get = function (options) {
+        return jQuery.get(options);
+    }
+
+
+}
+$_ = $;
+function save_framework(page) {
     $_ = $;
-    function save_framework(page) {
-        $_ = $;
-      return  
-  
-}
-
+    return
+
+}
+
Index: /extensions/Autosize/js/jquery.dimensions.js
===================================================================
--- /extensions/Autosize/js/jquery.dimensions.js	(revision 7866)
+++ /extensions/Autosize/js/jquery.dimensions.js	(revision 7867)
@@ -1,16 +1,16 @@
 /* Copyright (c) 2007 Paul Bakaus (paul.bakaus@googlemail.com) and Brandon Aaron (brandon.aaron@gmail.com || http://brandonaaron.net)
- * Dual licensed under the MIT (http://www.opensource.org/licenses/mit-license.php)
- * and GPL (http://www.opensource.org/licenses/gpl-license.php) licenses.
- *
- * $LastChangedDate: 2007-12-20 08:43:48 -0600 (Thu, 20 Dec 2007) $
- * $Rev: 4257 $
- *
- * $LastChangedDate: 2010-10-23 08:43:48 -0600 (Thu, 20 Dec 2007) $
- * By cljosse
- * Version: 1.2
- *
- * Requires: jQuery 1.2+
- * 
- */
+* Dual licensed under the MIT (http://www.opensource.org/licenses/mit-license.php)
+* and GPL (http://www.opensource.org/licenses/gpl-license.php) licenses.
+*
+* $LastChangedDate: 2007-12-20 08:43:48 -0600 (Thu, 20 Dec 2007) $
+* $Rev: 4257 $
+*
+* $LastChangedDate: 2010-10-23 08:43:48 -0600 (Thu, 20 Dec 2007) $
+* By cljosse
+* Version: 1.2
+*
+* Requires: jQuery 1.2+
+* 
+*/
 (function (jQuery) {
     jQuery.dimensions = { version: '1.3' };
@@ -64,5 +64,5 @@
 
 
-            var left = 0, top = 0, offset, parentOffset, offsetParent, results;
+            var Left = 0, Top = 0, offset, parentOffset, offsetParent, results;
             var borderwidth = { width: "0 0 0 0",
                 top: 0,
@@ -84,6 +84,7 @@
             };
             //=====================================================================
+            myposition = "";
             results = {
-                position: jQuery(this).attr("position"),
+                position: "",
                 top: 0,
                 left: 0,
@@ -102,18 +103,14 @@
                 if (elem.nodeName) nodeName = elem.nodeName;
 
+
                 if (elem == window) {
-                    Position = { top: 0, left: 0 };
-                } else {
-                    Position = jQuery(elem).position();
-                }
-                left = Position.left;
-                top = Position.top;
-                if (elem == window) {
+
+                    myposition = jQuery(this).attr("position") || "";
                     width = jQuery(elem).width();
                     height = jQuery(elem).height();
                 } else {
+                    myposition = jQuery(this).css("position") || "";
                     width = jQuery(elem).outerWidth();
                     height = jQuery(elem).outerHeight();
-
 
 
@@ -147,13 +144,20 @@
                     }
                 }
+                if (elem == window) {
+                    Position = { Top: 0, Left: 0 };
+                } else {
+                    Position = jQuery(elem).position();
+                }
+                Left = Position.left;
+                Top = Position.top;
 
                 results = {
-                    position: jQuery(this).attr("position"),
-                    top: top,
-                    left: left,
+                    position: myposition,
+                    top: Top,
+                    left: Left,
                     width: width,
                     height: height,
-                    right: left + width,
-                    bottom: top + height,
+                    right: Left + width,
+                    bottom: Top + height,
                     borderwidth: borderwidth,
                     margin: margin,
@@ -202,5 +206,5 @@
 
                 results = {
-                    top: Math.ceil( offset.top - parentOffset.top), left: Math.ceil(offset.left - parentOffset.left)
+                    top: Math.ceil(offset.top - parentOffset.top), left: Math.ceil(offset.left - parentOffset.left)
                 };
             } return results;
@@ -244,5 +248,5 @@
                 if (myObj.match(reg1)) {
 
-                    myObj = parseInt(myObj) ;
+                    myObj = parseInt(myObj);
 
                 }
@@ -250,5 +254,5 @@
                     reg1 = new RegExp("%", "g")
                     if (myObj.match(reg1)) {
-                        val =Math.ceil(myObj * Maxi_val / 100);
+                        val = Math.ceil(myObj * Maxi_val / 100);
                         return val;
                     }
Index: /extensions/Autosize/main.inc.php
===================================================================
--- /extensions/Autosize/main.inc.php	(revision 7866)
+++ /extensions/Autosize/main.inc.php	(revision 7867)
@@ -2,5 +2,5 @@
 /*
 Plugin Name: AutoSize
-Version: 1.3.7.2
+Version: 1.3.7.4
 Description: Ajuste l'affichage des photos en fonction de la hauteur de la fenetre de navigation
 Plugin URI: http://piwigo.org/ext/extension_view.php?eid=448
Index: /extensions/Autosize/template/autosize.tpl
===================================================================
--- /extensions/Autosize/template/autosize.tpl	(revision 7866)
+++ /extensions/Autosize/template/autosize.tpl	(revision 7867)
@@ -60,8 +60,41 @@
   {assign var="visible" value="block"}
 <!---  autosize/template/autosize.tpl  body --->
-    <div id="Dragg"  align=center style="color:black;z-index:2000;position:absolute; background-color:Beige; top:100px;left:0px;width:300px;margin:auto;"></div>
-  <div id="Debug"  align=center style="color:black;z-index:2000;position:absolute; background-color:Beige; top:0px;left:0px;width:800px;margin:auto;"></div>
-   <div id="Debug1"  align=center style="color:black;z-index:2000;position:absolute; background-color:Beige; top:0px;left:0px;width:800px;margin:auto;"></div>
-  <div id="Debug2"  align=center style="color:black;z-index:2000;position:absolute; background-color:Beige; top:0px;left:0px;width:800px;margin:auto;"></div>
- {else}
+<style type="text/css">
+    {literal}
+.debug {
+    display: inline-block; 
+    width: 45px; 
+    height: 45px; 
+    background-color: black; 
+    margin: 2px; 
+}
+.debugOn {
+    background-color: yellow; 
+    border: solid 1px black;
+    width: 43px; 
+    height: 43px; 
+}
+
+.jssource {font-size:.8em;color:#000; }
+pre {font-size:.9em;background-color:#ffc;overflow-x:auto; padding: 5px;}
+pre em {color:#009;}
+pre b {color:#900;}
+pre strong {color:#099;}
+pre i,
+pre i *{color:#090;}
+
+</style>
+
+<div id="Debug0"  align=center style="color:black;z-index:2000;position:absolute; background-color:Beige; top:0px;left:0px;width:800px;margin:auto;"></div>
+<div id="Debug1"  align=center style="color:black;z-index:2000;position:absolute; background-color:Beige; top:0px;left:0px;width:800px;margin:auto;"></div>
+<div id="Debug2"  align=center style="color:black;z-index:2000;position:absolute; background-color:yellow; top:0px;left:0px;width:800px;margin:auto;"></div>
+<div id="Debug3"  align=center style="color:black;z-index:2000;position:absolute; background-color:blue; top:0px;left:0px;width:800px;margin:auto;"></div>
+<div id="Debug4"  align=center style="color:black;z-index:2000;position:absolute; background-color:green; top:0px;left:0px;width:800px;margin:auto;"></div>
+<div id="Debug5"  align=center style="color:black;z-index:2000;position:absolute; background-color:red; top:100px;left:0px;width:300px;margin:auto;"></div>
+
+<p><button id="adddebugs">Add a debug</button></p>
+
+<div id="debugsContainer"><div class="debug"></div></div>
+    {/literal}
+    {else}
   {assign var="visible" value="none"} {/if}<!--  << autosize/template/autosize.tpl body  -->
